cookbook/container: remove unexplained "exec >&2" lines.

These are often a good idea, but not necessary here and are distracting
to the tutorial, so let's just take them out.

Reported-by: Jeff Stearns <jeff.stearns@gmail.com>
This commit is contained in:
Avery Pennarun 2019-01-14 06:44:55 +00:00
commit 537866b871
7 changed files with 7 additions and 14 deletions

View file

@ -1,4 +1,3 @@
exec >&2
./need.sh python kvm busybox
redo-ifchange "$2.initrd" memcalc.py
@ -7,7 +6,7 @@ rm -f "$3.out" "$3.code"
# Linux only allows an initrd of size < 50% of RAM,
# so set a RAM amount based on the initrd size.
mem=$(./memcalc.py "$2.initrd")
echo "$2: kvm memory required: $mem"
echo "$2: kvm memory required: $mem" >&2
kvm \
-m "$mem" \
@ -21,7 +20,7 @@ kvm \
-chardev file,id=char2,path="$3.code" \
-serial chardev:char0 \
-serial chardev:char1 \
-serial chardev:char2
-serial chardev:char2 >&2
read rv <$3.code || true
[ -z "$rv" ] && exit 99
if [ "$rv" -eq 0 ]; then